import 'dart:io';
import 'option.dart';

class Terminal{
  // const Construct
  const Terminal();

  // Print the question to the user
  void printPrompt(String question){
    stdout.writeln(question);
  }

  // Print the options to the standard output
  void printOptions(List<Option> options){
    for (var i=0; i < options.length; i++){
      stdout.writeln('$i) ${options[i].label}');
    }
    // Ask for input
    stdout.writeln('\nEnter a choice:');
    stdout.write('>');

  }

  // Clear the entire screen
  void clearScreen(){
    // Get the operating system as a string.
    String os = Platform.operatingSystem;
    // Or, use a predicate getter.
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }

  // To collect user input
  String collectInput(){
    return stdin.readLineSync();
  }
}